Update an auto monitor setup
curl --request PUT \
--url https://api.traceloop.com/v2/auto-monitor-setups/{setup_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_type": "<string>",
"entity_value": "<string>",
"evaluators": [
"<string>"
],
"selector": {}
}
'import requests
url = "https://api.traceloop.com/v2/auto-monitor-setups/{setup_id}"
payload = {
"entity_type": "<string>",
"entity_value": "<string>",
"evaluators": ["<string>"],
"selector": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_type: '<string>',
entity_value: '<string>',
evaluators: ['<string>'],
selector: {}
})
};
fetch('https://api.traceloop.com/v2/auto-monitor-setups/{setup_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"entity_type": "<string>",
"entity_value": "<string>",
"env_project_id": "<string>",
"evaluators": [
{
"binding_id": "<string>",
"error_message": "<string>",
"evaluator_id": "<string>",
"evaluator_type": "<string>",
"input_schema": [
{
"name": "<string>",
"type": "string",
"description": "<string>",
"label": "<string>",
"enum_values": [
"<string>"
]
}
],
"output_schema": [
{
"name": "<string>",
"type": "string",
"description": "<string>",
"label": "<string>",
"enum_values": [
"<string>"
]
}
],
"processed_at": "<string>",
"status": "<string>"
}
],
"external_id": "<string>",
"id": "<string>",
"init_rules": [
{
"op": "equals",
"source": "<string>",
"key": "<string>",
"value": "<string>",
"value_type": "<string>"
}
],
"org_id": "<string>",
"project_id": "<string>",
"status": "<string>",
"updated_at": "<string>"
}{
"error": "error message"
}{
"error": "error message"
}{
"error": "error message"
}Auto-monitor-setups
Update an auto monitor setup
Update an existing auto monitor setup by ID
PUT
/
v2
/
auto-monitor-setups
/
{setup_id}
Update an auto monitor setup
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Auto monitor setup ID
Body
application/json
Fields to update
Was this page helpful?

